#!/usr/bin/perl
package mydb;
use strict;
use warnings;
use DBI;
use CGI;

BEGIN {
    use Exporter;
    our ($VERSION, @ISA, @EXPORT, @EXPORT_OK);
    $VERSION = 1.00;
    @ISA = qw{Exporter};
    # These are the functions we want to export from our module
    @EXPORT_OK = qw {
        db_connect
        header
        footer
    };
}

our @EXPORT_OK;

sub db_connect() {
  my $database = 'MYDB';
  my $user = 'lynn';
  my $password = '5tuff';
  my $hostname = 'localhost';
  my $port = 1527;

  # Create the connection string for an uncataloged connection
  my $DSN = "DRIVER={IBM DB2 ODBC DRIVER};DATABASE=$database;HOSTNAME=$hostname;PORT=$port;PROTOCOL=TCPIP;";

  my $conn = DBI->connect("dbi:DB2:$DSN", $user, $password, { AutoCommit => 1 } );
  return $conn;
}

sub header {
  my ($title) = @_;
  my $header = "<html>
  <head><title>$title</title></head>
  <body><h1>$title</h1>";

  return $header;
}

sub footer {
  return '</body></html>';
}

1;
