CREATE TABLE menu.counter (id INTEGER, num INTEGER);
INSERT INTO menu.counter(id, num) values (1, 1);
CREATE TRIGGER incrementCount
    AFTER INSERT
    ON menu.food FOR EACH ROW MODE DB2SQL
    UPDATE menu.counter SET num = num + 1 WHERE id = 1;
CREATE TRIGGER decrementCount
    AFTER DELETE
    ON menu.food FOR EACH ROW MODE DB2SQL
    UPDATE menu.counter SET num = num - 1 WHERE id = 1;
