<?php

// include the menu_lib.php file within this script
require('menu_lib.php');

// Create the connection, catching any exceptions
try {
    // connect with default parameter values
    $conn = menu_connect();
}
catch (PDOException $e) {
    print "Failed to connect: " . $e->getMessage();
    exit;
}

// Here is where we would do real work; just print connection status
print "Connection succeeded!";

// Clean up the connection
$conn = null;
?>
